puppet_3.8.5-2_all.deb


Advertisement

Description

puppet - configuration management system, agent

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: puppet
Package version: 3.8.5
Package release: 2
Package architecture: all
Package type: deb
Installed size: 59 B
Download size: 12.03 KB
Official Mirror: archive.ubuntu.com
Puppet is a server automation tool. It is composed of a declarative language for expressing system configuration, a client and server for distributing it, and a library for realizing the configuration. The primary design goal of Puppet is to have an expressive enough language backed by a powerful enough library that you can write your own server automation applications in just a few lines of code. Puppet’s deep extensibility and open source license lets you add functionality as needed and share your innovations with others. This package contains "puppet" service and init script used to run the puppet agent, and depend on the "puppet-common" package which contains the software.

Alternatives

    Download

    Binary package: puppet_3.8.5-2_all.deb
    Source package: puppet

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install puppet deb package:
      # sudo apt-get install puppet

    Files

    • /etc/init.d/puppet
    • /lib/systemd/system/puppet.service
    • /usr/share/doc/puppet/NEWS.Debian.gz
    • /usr/share/doc/puppet/changelog.Debian.gz
    • /usr/share/doc/puppet/copyright

    Changelog

    2016-03-15 - Stig Sandbeck Mathisen <ssm@debian.org> puppet (3.8.5-2) unstable; urgency=medium * [7b9bf62] sysvinit: fix service restart. Thanks to Martin Pitt (Closes: #818267)

    2016-01-28 - Stig Sandbeck Mathisen <ssm@debian.org> puppet (3.8.5-1) unstable; urgency=medium * Imported upstream release 3.8.5 * [0a2d3bc] autopkgtest: remove passenger/agent test

    2015-11-06 - Stig Sandbeck Mathisen <ssm@debian.org> puppet (3.8.4-1) unstable; urgency=medium * Imported upstream release 3.8.4 (CVE-2015-7328) * [7d7519b] Make the puppetmaster init script return a useful error code when disabled (Closes: #734852) * [81eb77c] Make the puppetmaster init script return error code 3 code for status when pidfile is missing (Closes: #738465) * [d4ecb19] Be consistent with /run/puppet permissions (Closes: #781791) * [d836fef] Use /run/puppet instead of /var/run/puppet * [f9d9548] puppet-common: depend on ruby-rgen (Closes: #761385) * [7ddba0a] Drop suggestion for transitional package librrd-ruby * [171a701] autopkgtest: Restrict the current tests to need isolation-container * [17c7dbb] autopkgtest: Rename current tests to large.* * [d02c2d8] autopkgtest: Add small tests

    2015-10-03 - Stig Sandbeck Mathisen <ssm@debian.org> puppet (3.8.3-1) unstable; urgency=medium * Imported upstream release 3.8.3

    2015-08-29 - Stig Sandbeck Mathisen <ssm@debian.org> puppet (3.8.2-1) unstable; urgency=medium * Imported upstream release 3.8.1 * Imported upstream release 3.8.2 * [188e76d] refresh patches with gbp pq * [c772e65] Fix puppetmaster logrotate bug (Closes: #780847) * [f116751] Import patch to fix non-ASCII user comment (Closes: #782494)

    2015-06-03 - Apollon Oikonomopoulos <apoikos@debian.org> puppet (3.7.2-5) unstable; urgency=medium [ Jonas Genannt ] * d/control: switched ruby-hiera to hiera (Closes: #781664) [ Apollon Oikonomopoulos ] * d/control: add myself to Uploaders

    2015-03-30 - Apollon Oikonomopoulos <apoikos@debian.org> puppet (3.7.2-4) unstable; urgency=medium * Team upload. * Fix service enable with new initscripts under sysvinit (Closes: #781512).

    2015-03-10 - Apollon Oikonomopoulos <apoikos@debian.org> puppet (3.7.2-3) unstable; urgency=medium [ Apollon Oikonomopoulos ] * Team upload. * Fix service enable/disable in the Debian service provider (Closes: #775795) * Fix stored configs with ActiveRecord 4.x (Closes: #774643) + puppetmaster-common: add Recommends for stored configs + Mention stored configs dependencies in README.Debian. Also add a note for the deprecation of AR-based stored configs. * Preserve and honor changes in /etc/default/puppet (Closes: #778891) + Do not remove /etc/default/puppet on upgrade + Disable the agent when upgrading and START != yes + puppet.service: pass $DAEMON_OPTS to puppet agent. Thanks to Rik Theys! + Add a NEWS note about the START flag [ Stig Sandbeck Mathisen ] * Add upstream metadata

    2015-02-05 - Stig Sandbeck Mathisen <ssm@debian.org> puppet (3.7.2-2) unstable; urgency=medium [ Gaudenz Steinlin ] * [558cce5] Use /usr/sbin/service in the Debian service provider (Closes: #775795)

    2014-10-24 - Stig Sandbeck Mathisen <ssm@debian.org> puppet (3.7.2-1) unstable; urgency=medium * Imported upstream release 3.7.2 * Declare compliance with Debian Policy 3.9.6

    Advertisement
    Advertisement